/node/transaction-pool - Polkadot
Example code for the /node/transaction-pool REST method. Complete guide on how to use /node/transaction-pool REST in GetBlock Web3 documentation.
This endpoint returns the extrinsics currently in the node's transaction pool.
Endpoint
GET /node/transaction-poolQuery Parameters
Parameter
Type
Required
Description
includeFee
boolean
No
Include the partial fee for each pooled extrinsic
Request
curl --location 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/node/transaction-pool'const response = await fetch('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/node/transaction-pool');
const data = await response.json();
console.log(data);import requests
response = requests.get('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/node/transaction-pool')
print(response.json())Response
{
"pool": [
{
"hash": "0x8e6c1c...",
"encodedExtrinsic": "0x4d0284..."
}
]
}Response Fields
Field
Type
Description
pool
array
Pending extrinsics in the pool
pool[].hash
string
Extrinsic hash
pool[].encodedExtrinsic
string
SCALE-encoded extrinsic, hex-encoded
Use Cases
Mempool Views: Inspect pending transactions
Fee Markets: Observe pending demand for block space
Resubmission: Detect whether a transaction is still pending
Monitoring: Track pool depth
Last updated
Was this helpful?